<!DOCTYPE html>
<html lang=es>
    <head>
        <meta charset=utf-8>
        <meta name="author" content="jjperera">
        <meta name="description" content="Ejemplo de canvas">

        <title>Ejemplo canvas</title>        
    </head>
    <body>
        <canvas id="lienzo" width="400" height="400"></canvas>
    </body>
    <script>
            
        // Obtengo la refeencia al elemento HTML.
        const canvas = document.getElementById('lienzo');

        // Obtengo el contexto de dibujado
        // Un canvas solo puede tener asociado un contexto de dibujado
        const ctx = canvas.getContext('2d');
        
        ctx.fillRect(10, 10, 100, 100);
        
        ctx.save();
        ctx.fillStyle = "#FF0000";
        ctx.fillRect(100, 100, 50, 50);
        ctx.restore();
        
        ctx.fillRect(10, 375, 100, 100);
    </script>    
</html>
